const HKEY_USERS = 2147483651

'Connect using current user
Set objWMI = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" & Input.Current & "\root\cimv2")

'Get interactive session

Set colSessions = objWMI.ExecQuery _
("Select * from Win32_LogonSession Where LogonType = 2") 
If colSessions.Count = 0 Then
  'No interactive session found
  Output.Write "No interactive user found"
Else
  'Interactive session found
  For Each objSession in colSessions
  Set colList = objWMI.ExecQuery("Associators of " _
  & "{Win32_LogonSession.LogonId=" & objSession.LogonId & "} " _
  & "Where AssocClass=Win32_LoggedOnUser Role=Dependent" )

  'Setup registry access
  Set objReg = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" & Input.Current & "\root\default:StdRegProv")

  'Query registry for those SIDs
  For Each objItem in colList
    errCode = objReg.GetStringValue(HKEY_USERS, objItem.SID & "\Environment", "Path", Value)
    If errCode = 0 Then
      Output.Write "Logged SID: " & objItem.SID
      Output.Write "Value: " & Value
    End If
  Next
  Next
End If
